Twitter Plugin - Defect #271

getTimeLine and maxCount issue
Description

When | set the maxCount to 40 and get the timeline it shows the first 40, when | set it back to 20 | get message 21 till 40 it seems.
Not the first 20.
When | get the timeline again then it loads correct again.

History

#1 - 04/23/2011 09:27 PM - Patrick Talbot

Hum... | have seen that they are implementing some kind of pagination in the JTwitter lib, will look closer at how this is done, there must be something
missing in my call.

#2 - 04/24/2011 03:11 AM - Patrick Talbot

- Status changed from New to In Progress

Cannot reproduce with 0.8.1 - please confirm

#3 - 04/25/2011 10:32 PM - Robert Ivens

| still see this. | can only 'reset' this pagination by calling another function like getDirectMessages()

#4 - 04/25/2011 10:39 PM - Patrick Talbot

- Status changed from In Progress to New

#5 - 04/25/2011 10:40 PM - Patrick Talbot

It doesn't make any sense at all.
Each calls to the APl is using it's own loop with a page parameter starting at 1 (this is a local parameter of the method)...

#6 - 04/25/2011 11:01 PM - Patrick Talbot

- Status changed from New to In Progress

Seems fixed to me with 0.8.4 - please confirm

#7 - 04/25/2011 11:06 PM - Robert lvens

Sorry this is 0.8.3.
When | get the timeline(20) and then move to 40 it starts from 17 till 57. Only way to get (the real) 1 till 40 then is to getDirectMessages().

#8 - 04/25/2011 11:10 PM - Patrick Talbot
Robert Ivens wrote:
Sorry this is 0.8.3.
When | get the timeline(20) and then move to 40 it starts from 17 till 57. Only way to get (the real) 1 till 40 then is to getDirectMessages().

I think it is fixed in 0.8.4 - update /plugins/twitter/jtwitter.jar along with /plugins/twitter.jar
Working fine now for me

#9 - 04/25/2011 11:44 PM - Robert Ivens

Seems to work fine now in 0.8.4
#10 - 04/25/2011 11:48 PM - Patrick Talbot

- Status changed from In Progress to Closed

| think so too. Closing this one.
